Loading...
Searching...
No Matches
dolfin::Legendre Class Reference

Interface for computing Legendre polynomials via Boost. More...

`#include <Legendre.h>`

## Static Public Member Functions

static double | eval (std::size_t n, double x)
static double | ddx (std::size_t n, double x)
static double | d2dx (std::size_t n, double x)

## Detailed Description

Interface for computing Legendre polynomials via Boost.

## Member Function Documentation

## d2dx()

double Legendre::d2dx | ( | std::size_t | n,
|  | double | x )

static

Evaluate second derivative of polynomial of order n at point x

Parameters

  n | (std::size_t) Order
  x | (double) Point

Returns
  double Legendre polynomial 2nd derivative value at x

## ddx()

double Legendre::ddx | ( | std::size_t | n,
|  | double | x )

static

Evaluate first derivative of polynomial of order n at point x

Parameters

  n | (std::size_t) Order
  x | (double) Point

Returns
  double Legendre polynomial derivative value at x

## eval()

double Legendre::eval | ( | std::size_t | n,
|  | double | x )

static

Evaluate polynomial of order n at point x

Parameters

  n | (std::size_t) Order
  x | (double) Point

Returns
  double Legendre polynomial value at x

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/math/Legendre.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/math/Legendre.cpp